const FeeIcon = ({ ...props }: { className?: string }) => {
  return (
    <svg
      {...props}
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M12.213 11.5902C11.9758 11.5731 11.7537 11.467 11.5914 11.2932C11.429 11.1194 11.3383 10.8907 11.3373 10.6528C11.3389 10.4113 11.4356 10.1801 11.6064 10.0093C11.7772 9.83846 12.0084 9.74178 12.25 9.74017C12.4815 9.74822 12.7016 9.84285 12.8667 10.0053C12.9509 10.0916 13.0198 10.1918 13.0702 10.3013C13.1223 10.4111 13.2057 10.5031 13.31 10.5656C13.4142 10.6282 13.5346 10.6585 13.656 10.6528C13.7496 10.6491 13.8412 10.6241 13.9237 10.5797C14.0062 10.5353 14.0775 10.4727 14.1322 10.3966C14.1869 10.3205 14.2235 10.2329 14.2393 10.1406C14.2551 10.0482 14.2496 9.95344 14.2233 9.8635C14.1117 9.58873 13.9461 9.33918 13.7362 9.12967C13.4918 8.89015 13.1937 8.71254 12.8667 8.61167V7.884C12.8667 7.72045 12.8017 7.5636 12.686 7.44795C12.5704 7.3323 12.4135 7.26733 12.25 7.26733C12.0864 7.26733 11.9296 7.3323 11.8139 7.44795C11.6983 7.5636 11.6333 7.72045 11.6333 7.884V8.59317C11.345 8.66911 11.0771 8.80805 10.8489 8.99999C10.6207 9.19193 10.4379 9.43209 10.3137 9.70317C10.1567 10.0332 10.0851 10.3974 10.1054 10.7624C10.1258 11.1273 10.2375 11.4813 10.4302 11.7918C10.6229 12.1024 10.8905 12.3596 11.2085 12.5398C11.5264 12.7201 11.8845 12.8176 12.25 12.8235C12.4943 12.8284 12.7267 12.9297 12.8965 13.1053C13.0663 13.2809 13.1598 13.5166 13.1565 13.7608C13.1565 14.0013 13.061 14.2318 12.891 14.4018C12.721 14.5718 12.4904 14.6673 12.25 14.6673C12.0692 14.6686 11.8923 14.6151 11.7426 14.5138C11.5929 14.4125 11.4774 14.2683 11.4113 14.1C11.3614 13.9889 11.2798 13.895 11.1766 13.8303C11.0734 13.7655 10.9534 13.7328 10.8317 13.7362C10.7332 13.7372 10.6364 13.7618 10.5494 13.8079C10.4623 13.854 10.3876 13.9203 10.3315 14.0012C10.2753 14.0821 10.2394 14.1753 10.2266 14.2729C10.2139 14.3706 10.2247 14.4699 10.2582 14.5625C10.3818 14.857 10.5693 15.1204 10.8071 15.3337C11.0449 15.547 11.3271 15.7048 11.6333 15.7958V16.4865C11.6333 16.6501 11.6983 16.8069 11.8139 16.9226C11.9296 17.0382 12.0864 17.1032 12.25 17.1032C12.4135 17.1032 12.5704 17.0382 12.686 16.9226C12.8017 16.8069 12.8667 16.6501 12.8667 16.4865V15.802C13.3573 15.6528 13.7788 15.3339 14.0556 14.9022C14.3324 14.4706 14.4466 13.9545 14.3775 13.4463C14.2865 12.9346 14.0212 12.4701 13.6267 12.1318C13.2321 11.7934 12.7326 11.6021 12.213 11.5902Z"
        fill="#8D8D8D"
      />
      <path
        d="M12.25 3C10.4205 3 8.63213 3.5425 7.11098 4.55891C5.58982 5.57531 4.40423 7.01996 3.70412 8.71018C3.00401 10.4004 2.82083 12.2603 3.17774 14.0546C3.53465 15.8489 4.41563 17.4971 5.70927 18.7907C7.0029 20.0844 8.65109 20.9654 10.4454 21.3223C12.2397 21.6792 14.0996 21.496 15.7898 20.7959C17.48 20.0958 18.9247 18.9102 19.9411 17.389C20.9575 15.8679 21.5 14.0795 21.5 12.25C21.5 9.79675 20.5255 7.44397 18.7907 5.70926C17.056 3.97455 14.7033 3 12.25 3ZM12.25 20.2667C10.6645 20.2667 9.11452 19.7965 7.79618 18.9156C6.47785 18.0347 5.45033 16.7827 4.84357 15.3178C4.23681 13.853 4.07805 12.2411 4.38738 10.686C4.6967 9.13095 5.46021 7.70251 6.58136 6.58136C7.70252 5.46021 9.13095 4.6967 10.686 4.38737C12.2411 4.07805 13.853 4.2368 15.3179 4.84357C16.7827 5.45033 18.0347 6.47784 18.9156 7.79618C19.7965 9.11451 20.2667 10.6645 20.2667 12.25C20.2667 14.3762 19.4221 16.4152 17.9186 17.9186C16.4152 19.4221 14.3762 20.2667 12.25 20.2667Z"
        fill="#8D8D8D"
      />
    </svg>
  );
};

const PointIcon = ({ ...props }: { className?: string }) => {
  return (
    <svg
      {...props}
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <circle cx="12" cy="12" r="12" fill="#FFF5DB" />
      <path
        d="M8.72726 16.1994V8.18955C8.72726 7.49123 9.30328 6.94128 10.0142 6.94128H12.7875C14.6264 6.94128 16.1208 8.43486 16.1208 10.2153C16.1208 12.0115 14.6264 13.4556 12.7875 13.4556H11.3092V16.1955C11.3092 16.9017 10.7332 17.4438 10.0142 17.4438C9.30328 17.4457 8.72726 16.9037 8.72726 16.1994ZM12.7956 10.9314C13.138 10.9314 13.5388 10.5377 13.5388 10.1441C13.5388 9.76621 13.138 9.44574 12.8037 9.44574H11.3092V10.9314H12.7956Z"
        fill="#DA9F29"
      />
      <path
        d="M8.72726 15.8036V7.79368C8.72726 7.09536 9.30328 6.54541 10.0142 6.54541H12.7875C14.6264 6.54541 16.1208 8.03898 16.1208 9.8194C16.1208 11.6156 14.6264 13.0598 12.7875 13.0598H11.3092V15.7996C11.3092 16.5058 10.7332 17.0479 10.0142 17.0479C9.30328 17.0499 8.72726 16.5078 8.72726 15.8036ZM12.7956 10.5355C13.138 10.5355 13.5388 10.1419 13.5388 9.74818C13.5388 9.37034 13.138 9.04986 12.8037 9.04986H11.3092V10.5355H12.7956Z"
        fill="#F8BB41"
      />
    </svg>
  );
};

const PresentIcon = ({ ...props }: { className?: string }) => {
  return (
    <svg
      {...props}
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M4.00001 9.7002V18.9532C4.00001 19.2223 4.0531 19.4887 4.15624 19.7371C4.25937 19.9856 4.41053 20.2113 4.60105 20.4013C4.79157 20.5912 5.0177 20.7417 5.26648 20.8441C5.51527 20.9465 5.78181 20.9988 6.05085 20.998H17.7309C18.2732 20.998 18.7933 20.7826 19.1768 20.3991C19.5603 20.0156 19.7757 19.4955 19.7757 18.9532V9.7002C19.7757 9.15733 19.5605 8.63661 19.1772 8.25218C18.7939 7.86774 18.2738 7.65096 17.7309 7.64936H16.4325C16.6115 7.46467 16.7702 7.26124 16.9057 7.0426C17.1652 6.60808 17.3082 6.114 17.321 5.60807C17.3337 5.10214 17.2158 4.60148 16.9785 4.15444C16.7722 3.79406 16.4718 3.49648 16.1096 3.29345C15.7473 3.09041 15.3367 2.98954 14.9216 3.0016C14.467 2.98711 14.0147 3.07126 13.5957 3.24828C13.1768 3.42529 12.8011 3.69097 12.4946 4.02702C12.2522 4.2837 12.0478 4.57386 11.8879 4.88861C11.7372 4.57572 11.5432 4.28565 11.3114 4.02702C11.0049 3.69097 10.6293 3.42529 10.2103 3.24828C9.79135 3.07126 9.339 2.98711 8.8844 3.0016C8.46912 2.98915 8.05819 3.08913 7.69505 3.291C7.33192 3.49286 7.03007 3.78909 6.82143 4.14837C6.58419 4.59541 6.46626 5.09608 6.47901 5.602C6.49177 6.10793 6.63478 6.60202 6.89424 7.03653C7.02978 7.25518 7.18845 7.4586 7.36751 7.64329H6.05085C5.78102 7.64329 5.51384 7.69654 5.26462 7.79998C5.01541 7.90342 4.78905 8.05503 4.59854 8.24611C4.40802 8.43719 4.25708 8.66399 4.15437 8.91351C4.05167 9.16303 3.99921 9.43037 4.00001 9.7002ZM18.5622 9.7002V18.9532C18.5622 19.0624 18.5407 19.1705 18.4989 19.2714C18.4571 19.3722 18.3959 19.4638 18.3187 19.541C18.2415 19.6182 18.1499 19.6794 18.049 19.7212C17.9482 19.763 17.8401 19.7845 17.7309 19.7845H12.4946L12.5371 8.86287H17.7491C17.967 8.86919 18.1738 8.96019 18.3256 9.11654C18.4774 9.27289 18.5623 9.48227 18.5622 9.7002ZM14.9216 4.23938C15.1241 4.22574 15.3264 4.2691 15.5055 4.36454C15.6846 4.45999 15.8333 4.60371 15.9349 4.7794C16.0683 5.04136 16.1312 5.33353 16.1173 5.62717C16.1035 5.92081 16.0135 6.20578 15.856 6.45405C15.5951 6.90911 14.9095 7.66756 13.2591 7.66756H12.4946C12.4946 6.93338 12.6342 5.62886 13.338 4.85828C13.5373 4.63982 13.783 4.4687 14.057 4.35742C14.331 4.24614 14.6264 4.19752 14.9216 4.21511V4.23938ZM7.92573 6.42978C7.76831 6.18151 7.67825 5.89654 7.66442 5.6029C7.65059 5.30926 7.71346 5.01709 7.84685 4.75513C7.94796 4.5804 8.09577 4.43732 8.27369 4.34193C8.4516 4.24654 8.65258 4.20263 8.85407 4.21511C9.1415 4.19747 9.42932 4.2426 9.69756 4.34738C9.96579 4.45216 10.208 4.61407 10.4074 4.82187C11.1173 5.61065 11.2447 6.91518 11.2811 7.64936H10.5226C8.85407 7.64936 8.18663 6.88484 7.92573 6.42978ZM5.21352 9.7002C5.21352 9.47813 5.30174 9.26515 5.45877 9.10812C5.6158 8.95109 5.82878 8.86287 6.05085 8.86287H11.2811L11.2386 19.7845H6.05085C5.94118 19.7853 5.83243 19.7644 5.73088 19.723C5.62932 19.6816 5.53697 19.6205 5.45913 19.5432C5.3813 19.4659 5.31953 19.374 5.27737 19.2728C5.23522 19.1715 5.21352 19.0629 5.21352 18.9532V9.7002Z"
        fill="#8D8D8D"
      />
    </svg>
  );
};

const WishlistIcon = () => {
  return (
    <svg
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        opacity="0.2"
        d="M6.00001 3.49997C9.60001 2.69997 11.5 5.16664 12 6.49997C12.5 5.16665 14.2 2.7 17 3.5C20.5 4.5 22 5.5 21 10.5C20.2 14.9 14.6667 19 12 20.5C10.5 19.5 7.00001 17 5.00001 15C2.00001 10.5 2.00001 4.49997 6.00001 3.49997Z"
        fill="#222222"
      />
      <path
        d="M12.002 20.9338C11.8756 20.9329 11.7521 20.8985 11.6457 20.8348C9.30797 19.4712 5.12624 16.6859 3.5323 13.615C1.43831 9.90889 1.49457 6.1096 3.67607 4.17499C4.27785 3.65646 4.99975 3.27422 5.78569 3.05795C6.57163 2.84169 7.40047 2.79721 8.20784 2.92798C8.9695 3.05354 9.69694 3.3185 10.3482 3.70756C10.9994 4.09662 11.5615 4.60207 12.002 5.19474C12.4428 4.60229 13.005 4.097 13.6562 3.70797C14.3074 3.31893 15.0347 3.05385 15.7962 2.92798C16.6036 2.79766 17.4323 2.84235 18.2182 3.0586C19.004 3.27484 19.7259 3.65684 20.328 4.17499C22.5095 6.10377 22.5595 9.90307 20.4593 13.6266C18.8466 16.68 14.6898 19.4537 12.3333 20.829C12.2348 20.8907 12.1205 20.9269 12.002 20.9338V20.9338ZM7.32024 4.10506C6.31254 4.09679 5.33885 4.44447 4.59493 5.0782C2.85098 6.65152 2.90098 9.82731 4.72619 13.0614C6.17011 15.8001 10.0581 18.399 12.002 19.5819C13.9523 18.4165 17.8402 15.8001 19.2716 13.0789C21.1031 9.83897 21.1468 6.63404 19.4091 5.09568C18.9546 4.71342 18.4131 4.43202 17.8253 4.27257C17.2375 4.11312 16.6186 4.07976 16.015 4.17499C15.277 4.30968 14.5832 4.60392 13.9894 5.03404C13.3955 5.46416 12.9182 6.01817 12.5959 6.65152C12.5393 6.75126 12.4548 6.83483 12.3513 6.89332C12.2478 6.95181 12.1293 6.98304 12.0083 6.98367C11.8862 6.9841 11.7663 6.95337 11.6617 6.89482C11.557 6.83627 11.4715 6.75213 11.4145 6.65152C11.0465 5.91899 10.4704 5.29438 9.74868 4.84547C9.02692 4.39656 8.18706 4.14049 7.32024 4.10506V4.10506Z"
        fill="white"
      />
    </svg>
  );
};

const WishListIconFill = () => {
  return (
    <svg
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M16.2188 4C15.242 4 14.3465 4.31165 13.5572 4.9263C12.8004 5.51558 12.2966 6.26612 12 6.81189C11.7034 6.26609 11.1996 5.51558 10.4428 4.9263C9.6535 4.31165 8.758 4 7.78125 4C5.05552 4 3 6.24485 3 9.22173C3 12.4378 5.5644 14.6382 9.44657 17.9693C10.1058 18.535 10.8531 19.1762 11.6297 19.86C11.7321 19.9503 11.8636 20 12 20C12.1364 20 12.2679 19.9503 12.3703 19.8601C13.147 19.1761 13.8942 18.5349 14.5539 17.9689C18.4356 14.6382 21 12.4378 21 9.22173C21 6.24485 18.9445 4 16.2188 4Z"
        fill="#8D8D8D"
      />
    </svg>
  );
};

const ShareIcon = () => {
  return (
    <svg
      width="20"
      height="19"
      viewBox="0 0 20 19"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M15.7053 11.3993C15.1823 11.4001 14.667 11.5251 14.2018 11.764C13.7367 12.003 13.3349 12.3491 13.0297 12.7737L7.48142 10.1207C7.64551 9.51979 7.63378 8.88445 7.44763 8.29002L13.1142 5.30465C13.6221 5.94118 14.3494 6.36509 15.1536 6.49329C15.9578 6.62148 16.7808 6.44473 17.4615 5.99766C18.1421 5.5506 18.6313 4.86546 18.833 4.07652C19.0348 3.28759 18.9347 2.45173 18.5523 1.73278C18.1698 1.01383 17.5327 0.463616 16.7657 0.189974C15.9987 -0.0836666 15.1572 -0.0610056 14.4061 0.253516C13.6549 0.568038 13.0483 1.15174 12.7052 1.89023C12.362 2.62872 12.307 3.46876 12.5509 4.24569L6.88435 7.23106C6.45294 6.69087 5.86306 6.29948 5.19766 6.11194C4.53227 5.9244 3.82482 5.95014 3.17481 6.18555C2.5248 6.42095 1.96493 6.85418 1.57393 7.4243C1.18292 7.99442 0.980454 8.67277 0.994994 9.36394C1.00954 10.0551 1.24035 10.7243 1.65499 11.2775C2.06963 11.8307 2.64722 12.24 3.30656 12.4478C3.96589 12.6557 4.67379 12.6517 5.33072 12.4363C5.98764 12.2209 6.56053 11.8051 6.96884 11.2472L12.5171 13.8777C12.3407 14.5442 12.3773 15.2491 12.6218 15.8936C12.8664 16.5382 13.3066 17.09 13.8808 17.4716C14.4549 17.8532 15.1341 18.0455 15.823 18.0215C16.512 17.9974 17.1762 17.7583 17.7223 17.3376C18.2684 16.9169 18.6691 16.3358 18.8682 15.6757C19.0672 15.0157 19.0546 14.3099 18.8322 13.6574C18.6097 13.0049 18.1885 12.4385 17.6277 12.0375C17.0669 11.6366 16.3947 11.4213 15.7053 11.4218V11.3993ZM15.7053 1.18709C16.1208 1.18709 16.527 1.31031 16.8725 1.54118C17.2181 1.77204 17.4874 2.10018 17.6464 2.48409C17.8054 2.868 17.847 3.29045 17.7659 3.69801C17.6849 4.10557 17.4848 4.47993 17.1909 4.77377C16.8971 5.0676 16.5227 5.2677 16.1152 5.34877C15.7076 5.42984 15.2852 5.38823 14.9013 5.22921C14.5173 5.07019 14.1892 4.8009 13.9583 4.45539C13.7275 4.10987 13.6043 3.70366 13.6043 3.28812C13.6043 2.73037 13.8254 2.19539 14.2193 1.80047C14.6131 1.40556 15.1475 1.18295 15.7053 1.18146V1.18709ZM4.29327 11.3993C3.87797 11.3993 3.47198 11.2762 3.12659 11.0456C2.7812 10.815 2.51191 10.4872 2.35272 10.1036C2.19354 9.72003 2.1516 9.29787 2.23221 8.89047C2.31283 8.48306 2.51237 8.10869 2.80564 7.81463C3.09891 7.52058 3.47275 7.32003 3.87994 7.23833C4.28713 7.15662 4.70939 7.19743 5.0934 7.35558C5.47741 7.51374 5.80594 7.78216 6.03748 8.12693C6.26902 8.4717 6.39318 8.87736 6.3943 9.29266C6.3943 9.85041 6.17312 10.3854 5.77926 10.7803C5.38541 11.1752 4.85102 11.3978 4.29327 11.3993ZM15.7109 16.8068C15.2954 16.8068 14.8892 16.6836 14.5436 16.4527C14.1981 16.2218 13.9288 15.8937 13.7698 15.5098C13.6108 15.1259 13.5692 14.7034 13.6503 14.2959C13.7313 13.8883 13.9314 13.5139 14.2253 13.2201C14.5191 12.9263 14.8935 12.7262 15.301 12.6451C15.7086 12.564 16.131 12.6056 16.5149 12.7647C16.8989 12.9237 17.227 13.193 17.4579 13.5385C17.6887 13.884 17.8119 14.2902 17.8119 14.7058C17.8104 15.2635 17.5878 15.7979 17.1929 16.1918C16.798 16.5856 16.263 16.8068 15.7053 16.8068H15.7109Z"
        fill="#8D8D8D"
      />
    </svg>
  );
};

const FilterIcon = () => {
  return (
    <svg
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M18 12C18.7481 11.9998 19.4811 11.7898 20.1159 11.3939C20.7506 10.998 21.2616 10.432 21.5908 9.76029C21.92 9.08853 22.0543 8.33791 21.9783 7.59369C21.9023 6.84947 21.6191 6.14147 21.1609 5.55011C20.7028 4.95875 20.0879 4.50773 19.3863 4.24828C18.6846 3.98882 17.9243 3.93133 17.1916 4.08234C16.4589 4.23335 15.7832 4.5868 15.2413 5.10254C14.6994 5.61829 14.313 6.27566 14.126 7H3C2.73478 7 2.48043 7.10536 2.29289 7.29289C2.10536 7.48043 2 7.73478 2 8C2 8.26522 2.10536 8.51957 2.29289 8.70711C2.48043 8.89464 2.73478 9 3 9H14.126C14.57 10.725 16.136 12 18 12ZM16 8C16 8.53043 16.2107 9.03914 16.5858 9.41421C16.9609 9.78929 17.4696 10 18 10C18.5304 10 19.0391 9.78929 19.4142 9.41421C19.7893 9.03914 20 8.53043 20 8C20 7.46957 19.7893 6.96086 19.4142 6.58579C19.0391 6.21071 18.5304 6 18 6C17.4696 6 16.9609 6.21071 16.5858 6.58579C16.2107 6.96086 16 7.46957 16 8ZM2 16C1.99904 15.0257 2.35368 14.0846 2.99737 13.3533C3.64107 12.6219 4.52954 12.1507 5.49605 12.0279C6.46255 11.9052 7.44062 12.1394 8.24669 12.6866C9.05276 13.2338 9.6314 14.0564 9.874 15H21C21.2652 15 21.5196 15.1054 21.7071 15.2929C21.8946 15.4804 22 15.7348 22 16C22 16.2652 21.8946 16.5196 21.7071 16.7071C21.5196 16.8946 21.2652 17 21 17H9.874C9.62827 17.9405 9.04864 18.7594 8.24333 19.3038C7.43802 19.8482 6.46209 20.0809 5.49778 19.9584C4.53346 19.836 3.64669 19.3667 3.00303 18.6383C2.35937 17.9099 2.00284 16.9721 2 16ZM8 16C8 15.4696 7.78929 14.9609 7.41421 14.5858C7.03914 14.2107 6.53043 14 6 14C5.46957 14 4.96086 14.2107 4.58579 14.5858C4.21071 14.9609 4 15.4696 4 16C4 16.5304 4.21071 17.0391 4.58579 17.4142C4.96086 17.7893 5.46957 18 6 18C6.53043 18 7.03914 17.7893 7.41421 17.4142C7.78929 17.0391 8 16.5304 8 16Z"
        fill="#8D8D8D"
      />
    </svg>
  );
};

const NavigationMobileIcon = () => {
  return (
    <svg
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <rect x="3" y="3" width="7.28571" height="7.28571" fill="#404040" />
      <rect x="3" y="12.7144" width="7.28571" height="7.28571" fill="#404040" />
      <rect x="12.7143" y="3" width="7.28571" height="7.28571" fill="#404040" />
      <rect
        x="12.7143"
        y="12.7144"
        width="7.28571"
        height="7.28571"
        fill="#404040"
      />
    </svg>
  );
};

const MyPageIcon = () => {
  return (
    <svg
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M11.7333 8.64516C13.0588 8.64516 14.1333 7.60531 14.1333 6.32258C14.1333 5.03985 13.0588 4 11.7333 4C10.4079 4 9.33333 5.03985 9.33333 6.32258C9.33333 7.60531 10.4079 8.64516 11.7333 8.64516Z"
        fill="#001817"
      />
      <path
        d="M5.6 10.7097C4.71634 10.7097 4 11.4029 4 12.2581V20H20V12.2581C20 11.4029 19.2837 10.7097 18.4 10.7097H5.6Z"
        fill="#001817"
      />
    </svg>
  );
};

const WishListIconHeader = () => {
  return (
    <svg
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M16.2188 4C15.242 4 14.3465 4.31165 13.5572 4.9263C12.8004 5.51558 12.2966 6.26612 12 6.81189C11.7034 6.26609 11.1996 5.51558 10.4428 4.9263C9.6535 4.31165 8.758 4 7.78125 4C5.05552 4 3 6.24485 3 9.22173C3 12.4378 5.5644 14.6382 9.44657 17.9693C10.1058 18.535 10.8531 19.1762 11.6297 19.86C11.7321 19.9503 11.8636 20 12 20C12.1364 20 12.2679 19.9503 12.3703 19.8601C13.147 19.1761 13.8942 18.5349 14.5539 17.9689C18.4356 14.6382 21 12.4378 21 9.22173C21 6.24485 18.9445 4 16.2188 4Z"
        fill="#001817"
      />
    </svg>
  );
};

const LoginIconHeader = () => {
  return (
    <svg
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M20 10.9989H17.7333V12.1076H20V10.9989Z"
        fill="#001817"
      />
      <path
        d="M3 7.50265V15.6039C3 16.8207 3.81125 17.8952 5.00009 18.253L14.0668 20.9821C15.8888 21.5305 17.7334 20.1978 17.7334 18.333V12.1076H8.10001V10.9989H17.7334V4.77359C17.7334 2.90877 15.8888 1.57604 14.0668 2.12446L5.00009 4.85351C3.81125 5.21135 3 6.28586 3 7.50265Z"
        fill="#001817"
      />
    </svg>
  );
};

const BtnNextSlider = ({ ...props }: { className: string }) => {
  return (
    <svg
      {...props}
      viewBox="0 0 40 40"
      focusable="false"
      role="presentation"
      aria-hidden="true"
    >
      <path d="M28 20L15 33l-1.4-1.4L25.2 20 13.6 8.4 15 7l13 13z"></path>
    </svg>
  );
};
const BtnPrevSlider = ({ ...props }: { className: string }) => {
  return (
    <svg
      {...props}
      viewBox="0 0 40 40"
      focusable="false"
      role="presentation"
      aria-hidden="true"
    >
      <path d="M28 20L15 33l-1.4-1.4L25.2 20 13.6 8.4 15 7l13 13z"></path>
    </svg>
  );
};

export {
  BtnNextSlider,
  BtnPrevSlider,
  MyPageIcon,
  WishListIconHeader,
  LoginIconHeader,
  NavigationMobileIcon,
  WishlistIcon,
  FilterIcon,
  FeeIcon,
  PointIcon,
  PresentIcon,
  WishListIconFill,
  ShareIcon,
};
